Package com.ocient.jdbc.proto

# Interface PlanProtocol.GenerateOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.GenerateOperator`, `PlanProtocol.GenerateOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.GenerateOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double` | `getClusteringBalanceFactor()` | `double clusteringBalanceFactor = 5;`
`double` | `getClusteringFactor()` | `double clusteringFactor = 4;`
`int` | `getExtraValues​(int index)` | `repeated uint32 extraValues = 7;`
`int` | `getExtraValuesCount()` | `repeated uint32 extraValues = 7;`
`List<Integer>` | `getExtraValuesList()` | `repeated uint32 extraValues = 7;`
`long` | `getLimitVal()` | If there is no limit being applied, this is set to -1
`long` | `getRandomSeed()` | `uint64 randomSeed = 6;`
`double` | `getRowsPerSecond()` | `double rowsPerSecond = 2;`
`long` | `getRowsToGenerate()` | `uint64 rowsToGenerate = 3;`
`long` | `getStartTime()` | `uint64 startTime = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStartTime

long getStartTime()
`uint64 startTime = 1;`

### getRowsPerSecond

double getRowsPerSecond()
`double rowsPerSecond = 2;`

### getRowsToGenerate

long getRowsToGenerate()
`uint64 rowsToGenerate = 3;`

### getClusteringFactor

double getClusteringFactor()
`double clusteringFactor = 4;`

### getClusteringBalanceFactor

double getClusteringBalanceFactor()
`double clusteringBalanceFactor = 5;`

### getRandomSeed

long getRandomSeed()
`uint64 randomSeed = 6;`

### getExtraValuesList

List<Integer> getExtraValuesList()
`repeated uint32 extraValues = 7;`

### getExtraValuesCount

int getExtraValuesCount()
`repeated uint32 extraValues = 7;`

### getExtraValues

int getExtraValues​(int index)
`repeated uint32 extraValues = 7;`

### getLimitVal

long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 8;`